# OHO - Openource Hardware Observatory
## Intro
The styling of the page is in the CSS file: **[style.css](https://git.bmen.eu/Projekte/oho/src/master/style.css)**. In general, only the classes of elements of the media wiki have to be found out and transferred to the CSS. Some implementations are a bit more tricky and are described in more detail in this Readme.


The images in the folder [/img](https://git.bmen.eu/Projekte/oho/src/master/img) are only examples and not important for the styling of the website.

The Javascript functions are saved in separate files in the [/js](https://git.bmen.eu/Projekte/oho/src/master/js) folder and named according to their task.
## Overview CSS classes homepage
![Overview CSS classes homepage](https://git.bmen.eu/Projekte/oho/raw/master/doc/overview_css_classes_home.png)

## Row - Background and red lines (CSS line: 51-87)
The rows who separating the content horizontally must be 100% wide. This means that the width restriction of the content must be made within the row. So the background color gradiation is in full width and the red lines are on the left and right side of the browser.

The red lines are purely CSS and no additionaly HTML elements have to be created.
```
.row::before {...}
.row::after {...}
```
## Search results grid

